Bug 63995 - kernel panic with adaptec i2o raid controller
kernel panic with adaptec i2o raid controller
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-04-23 10:42 EDT by Juergen Weiss
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juergen Weiss 2002-04-23 10:42:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (WinNT; U)

Description of problem:
I install RH 7.2 on a server (primargy L200 from Fujitsu Siemens ) with an adaptec i2o raid controller (V001.3R) controlling 
two devices with RAID Level 1. During Installation (kickstart and CD) the partions are created correctly and the filesystem 
is created as ext3 fs. then after boot it fails to mount the root fs and gives a kernel panic

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install from CD or kickstart
2. reboot

Actual Results:  system crashes kernel panic ( error 19 mounting ext3 )

Expected Results:  system should reboot correctly

Additional info:
Comment 1 Arjan van de Ven 2002-04-23 10:43:39 EDT
which kernel version are you using ?
Comment 2 Juergen Weiss 2002-04-24 06:00:58 EDT
First attempt with 2.4.9-31 with kickstart ( installed in %post section ) Result: system crashes

Second attempt with kernel 2.4.7-10 with kickstart or fron RH-discs.
Result: 80% System crashes after reboot - kernel panic - msising root fs
            10% System hangs when detecting new hardware 
            10% System comes up but crashes after installation of packages such as modutils 

When using the adaptec dpt_i2o driver, system installs and runs without any problem.

But i would like to use RH Network with al its nice features - an there for the i2o_block driver provided an mantained by RH
Comment 3 Alan Cox 2002-04-24 06:59:16 EDT
The DPT (now Adaptec) board requires dpt_i2o. It speaks an interesting dialect
of I2O.
Comment 4 Juergen Weiss 2002-04-25 03:14:27 EDT
Will this board be supported by drivers contained in the RH distribution (enterprise ?)
Comment 5 Bugzilla owner 2004-09-30 11:39:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.